X = [0, 67.5, 135, 202.5, 270, 0, 67.5, 135, 202.5, 270, 0, 67.5, 135, 202.5, 270,0, 67.5, 135, 202.5, 270,0, 67.5, 135, 202.5, 270,];
Y = [0, 0, 0, 0, 0, 67.5, 67.5, 67.5, 67.5, 67.5, 135, 135, 135, 135, 135, 202.5, 202.5, 202.5, 202.5, 202.5, 270, 270, 270, 270, 270];
Z = [0, -.003, -.003, -.047, -.129, .096, .099, .078, -.003, -.089, .104, .104, .094, .034, -.051, .006, .021, .033, .009, -.047, -.112, -.089, -.056, -.065, -.113];
xr = reshape(X, 5, 5);
yr = reshape(Y, 5, 5);
zr = reshape(Z, 5, 5);

e = interp2(xr)
f = interp2(yr)
g = interp2(zr)

E = interp2(e)
F = interp2(f)
G = interp2(g)

surf(E, F, G)
zlim([-1 1])
xlabel('x position (mm)')
ylabel('y position (mm)')
zlabel('height (mm)')
title("No Felt 2pt Bed 2, 130C");
